Subject: bug#9145: closed (Re: bug#9145: "BUG" in dd when pushing output over ssh)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Jul 2011 13:14:02 +0000

Your bug report

#9145: "BUG" in dd when pushing output over ssh

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9145: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9145
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9145: "BUG" in dd when pushing output over ssh
From: Eric Blake <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 22 Jul 2011 07:13:42 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 9145 unreproducible
thanks

On 07/22/2011 07:09 AM, [email-masked] wrote:

 >> Unfortunately, that means you encountered a kernel fault, perhaps due to
 >> an I/O error while trying to read or write /dev/sda.  That message is
 >> printed by your kernel, not by dd, so there's nothing we can do on this
 >> list to help you with it.
 >>

> I'm not really worried about it, especially as an md5 of both drives shows as equal after the dd was over.  Feel free to mark this resolved, I just wanted to be sure you had the error message in case it was useful to you in any way.

Good to hear; I'm re-adding the list and marking the bug closed.

>
> Also, thanks for working on kickass utils!

Our pleasure!

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Subject: "BUG" in dd when pushing output over ssh
From: Andrew Lisciandrello <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jul 2011 21:36:27 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I came across this bug, I don't know what it means but I figured you may
want to see it.

Text States:
"BUG: Bad page state in process dd   pfm:98a00
page:ffffea0002163000 flags:4000000000000000 count:0 mapcount:0
mapping:020000000"

What I did to produce this error:
Boot two Laptops with identical HDDs with the archlinux(x64) netboot .iso,
imaged onto USB.
Install openssh on both.
connect both to a linksys router acting as a switch and WAP with DD-WRT
   please note: this router may be dropping packets or doing something else
equally stupid.
run # dd if=/dev/sda | ssh root@host "dd of=/dev/sda"

--Andrew Lisciandrello

P.S. If my first email made it though your span filter, I apoligize, for the
duplicate ticket.